searchData={"items":[{"type":"module","title":"OpenGraph","doc":"Fetch and parse websites to extract Open Graph meta tags.\n\nThe example above shows how to fetch the GitHub Open Graph rich objects.\n\n    iex> OpenGraph.fetch(\"https://github.com\")\n    {:ok, %OpenGraph{description: \"GitHub is where people build software. More than 15 million...\",\n    image: \"https://assets-cdn.github.com/images/modules/open_graph/github-octocat.png\",\n    site_name: \"GitHub\", title: \"Build software better, together\", type: nil,\n    url: \"https://github.com\"}}","ref":"OpenGraph.html"},{"type":"function","title":"OpenGraph.fetch/1","doc":"Fetches the raw HTML for the given website URL.\n\nArgs:\n  * `url` - target URL as a binary string or char list\n\nThis functions returns `{:ok, %OpenGraph{...}}` if the request is successful,\n`{:error, reason}` otherwise.","ref":"OpenGraph.html#fetch/1"},{"type":"function","title":"OpenGraph.parse/1","doc":"Parses the given HTML to extract the Open Graph objects.\n\nArgs:\n  * `html` - raw HTML as a binary string or char list\n\nThis functions returns an OpenGraph struct.","ref":"OpenGraph.html#parse/1"},{"type":"extras","title":"License","doc":"# The MIT License\n\nCopyright (c) 2016 Andriel Nuernberg\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is\nfurnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all\ncopies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\nAUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\nLIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,\nOUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE\nSOFTWARE.","ref":"license.html"},{"type":"extras","title":"Overview","doc":"# OpenGraph\n\n[![Module Version](https://img.shields.io/hexpm/v/open_graph.svg)](https://hex.pm/packages/open_graph)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-lightgreen.svg)](https://hexdocs.pm/open_graph/)\n[![Total Download](https://img.shields.io/hexpm/dt/open_graph.svg)](https://hex.pm/packages/open_graph)\n[![License](https://img.shields.io/hexpm/l/open_graph.svg)](https://github.com/andrielfn/open_graph/blob/master/LICENSE.md)\n[![Last Updated](https://img.shields.io/github/last-commit/andrielfn/open_graph.svg)](https://github.com/andrielfn/open_graph/commits/master)\n\nA Elixir wrapper for the [Open Graph protocol](http://ogp.me).","ref":"readme.html"},{"type":"extras","title":"Installation - Overview","doc":"The package can be installed as:\n\nAdd `:open_graph` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:open_graph, \"~> 0.0.5\"}\n  ]\nend\n```\n\nEnsure `:open_graph` is started before your application:\n\n```elixir\ndef application do\n  [applications: [:open_graph]]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - Overview","doc":"```elixir\niex> OpenGraph.fetch(\"https://github.com\")\n\n{:ok,\n %OpenGraph{description: \"GitHub is where people build software. More than 15 million...\",\n  image: \"https://assets-cdn.github.com/images/modules/open_graph/github-octocat.png\",\n  site_name: \"GitHub\", title: \"Build software better, together\", type: nil,\n  url: \"https://github.com\"}}\n```\n\nYou can also parse raw HTML:\n\n```elixir\niex> OpenGraph.parse(\" \")\n\n%OpenGraph{description: nil, image: nil, site_name: nil, title: \"Some title\",\n type: nil, url: nil}\n```","ref":"readme.html#usage"},{"type":"extras","title":"Copyright and License - Overview","doc":"Copyright (c) 2016 Andriel Nuernberg\n\nThis work is free. You can redistribute it and/or modify it under the\nterms of the MIT License. See the [LICENSE.md](./LICENSE.md) file for more details.","ref":"readme.html#copyright-and-license"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}